#ifndef MR4TH_STDIO_H
#define MR4TH_STDIO_H

#include <stdio.h>

////////////////////////////////
// Functions: File Handle Printf

MR4TH_SYMBOL void m4_printf(char *fmt, ...);
MR4TH_SYMBOL void m4_fprintf(FILE *file, char *fmt, ...);

MR4TH_SYMBOL void m4_print_str8list(String8List *out);
MR4TH_SYMBOL void m4_fprint_str8list(FILE *file, String8List *out);

// TODO(allen): integrate to this layer
MR4TH_SYMBOL void stream_fprint(FILE *file, STREAM *stream);

////////////////////////////////
// LogToProc for (FILE*)

MR4TH_SYMBOL void cstd_logto_file_handle(void *uptr, String8 str);

#endif //MR4TH_STDIO_H
